package com.apobates.forum.core.entity;

import com.apobates.forum.utils.lang.EnumArchitecture;
/**
 * 回复/话题举报类型
 * 
 * @author xiaofanku
 * @since 20190329
 */
public enum ForumReportTypeEnum implements EnumArchitecture {
	AD(1, "广告"), SEXY(2, "色情"), POLITIC(3, "政治"), VIOLENCE(4, "暴力"), ABUSE(5, "语言暴力"), ETC(6, "其它");

	private final int symbol;
	private final String title;

	private ForumReportTypeEnum(int symbol, String title) {
		this.symbol = symbol;
		this.title = title;
	}

	@Override
	public int getSymbol() {
		return symbol;
	}

	@Override
	public String getTitle() {
		return title;
	}
}
